args:
  - -Dkeycloak.migration.action=import
  - -Dkeycloak.migration.provider=singleFile
  - -Dkeycloak.migration.file=/opt/jboss/import.json
  - -Dkeycloak.migration.usersExportStrategy=REALM_FILE
extraVolumes: |
  - name: import-vol
    configMap:
      name: auth-import
      defaultMode: 365 
extraVolumeMounts: |
  - name: import-vol
    mountPath: /opt/jboss/import.json
    subPath: import.json
extraEnv: |
  - name: PROXY_ADDRESS_FORWARDING
    value: "true"
  - name: KEYCLOAK_LOGLEVEL
    value: "ALL"
  - name: ROOT_LOGLEVEL
    value: "ALL"
  - name: KEYCLOAK_USER
    value: admin
  - name: KEYCLOAK_PASSWORD
    value: <password>
route:
  tls:
    insecureEdgeTerminationPolicy: Allow
service:
  type: NodePort
image:
    repository: siscc/dotstatsuite-keycloak
    tag: develop
    pullPolicy: Always
postgresql:
  enabled: true
  postgresqlPassword: <password>
